# Simulate a card transaction reversal

Simulates a transaction reversal request in the sandbox environment. The amount.value field can be set to 0 for a full reversal, or a positive value that represents the intended final value of the transaction after a partial reversal.

For example, if a transaction value was originally 10 SGD, and the intended final value is 3 SGD, amount.value should be set to 3. This means there is a partial refund of 7 SGD.

Endpoint: POST /v1/simulation/spend/profiles/{profileId}/cards/{cardToken}/transactions/reversal
Security: UserToken

## Path parameters:

  - `profileId` (integer, required)
    The profile ID.

  - `cardToken` (string, required)
    The card token.

## Header parameters:

  - `X-External-Correlation-Id` (string)
    Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.
    Example: "f47ac10b-58cc-4372-a567-0e02b2c3d479"

## Request fields (application/json):

  - `amount` (object)

  - `amount.value` (number)
    Transaction amount. Set to 0 for full reversal, or the intended final value for partial reversal.

  - `amount.currency` (string)
    Currency code.

  - `transactionType` (string)
    The type of the transaction. Use the same transaction type from the previous authorisation request.

  - `ref` (object)
    The transaction reference. This can be obtained from a previous authorisation request.

## Response 200 fields (application/json):

  - `reference` (object)
    The transaction reference.

  - `error` (string,null)
    An error returned by the transaction, if it exists.


